"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const test_utils_1 = require("../test/test-utils");
const global_styles_1 = require("./global-styles");
describe('addPreviewStylesIfNotPresent', () => {
    afterEach(() => {
        document.body.innerHTML = (0, test_utils_1.getDocumentBody)();
    });
    it('should not add preview styles if present', () => {
        document.body.innerHTML = '<div id="ts-preview-style">test</div>';
        (0, global_styles_1.addPreviewStylesIfNotPresent)();
        const styleEl = document.getElementById('ts-preview-style');
        expect(styleEl.innerHTML).toBe('test');
    });
    it('should add preview styles if not present', () => {
        (0, global_styles_1.addPreviewStylesIfNotPresent)();
        const styleEl = document.getElementById('ts-preview-style');
        expect(styleEl).not.toBeNull();
    });
});
//# sourceMappingURL=global-styles.spec.js.map