"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getPreview = exports.getPreviewQuery = void 0;
/* eslint-disable quotes */
const graphql_request_1 = require("./graphql-request");
exports.getPreviewQuery = `
query GetEurekaVizSnapshots(
    $vizId: String!, $liveboardId: String!) {
    getEurekaVizSnapshot(
      id: $vizId
      reportBookId: $liveboardId
      reportBookType: "PINBOARD_ANSWER_BOOK"
      version: 9999999
    ) {
      id
      vizContent
      snapshotType
      createdMs
    }
  } 
`;
/**
 *
 * @param thoughtSpotHost
 * @param vizId
 * @param liveboardId
 */
async function getPreview(thoughtSpotHost, vizId, liveboardId) {
    return (0, graphql_request_1.graphqlQuery)({
        query: exports.getPreviewQuery,
        variables: { vizId, liveboardId },
        thoughtSpotHost,
    });
}
exports.getPreview = getPreview;
//# sourceMappingURL=preview-service.js.map