"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
require("jest-fetch-mock");
const preview_service_1 = require("./preview-service");
describe('getPreview', () => {
    test('should return preview', async () => {
        fetchMock.mockResponses(JSON.stringify({
            data: {
                getEurekaVizSnapshot: {
                    id: 'previewId',
                    vizcontent: '<vizcontent>',
                },
            },
        }));
        const res = await (0, preview_service_1.getPreview)('tshost', 'vizId', 'liveboardId');
        expect(res.id).toEqual('previewId');
        expect(res.vizcontent).toEqual('<vizcontent>');
    });
});
//# sourceMappingURL=preview-service.spec.js.map