"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.resetAllCachedServices = void 0;
const authToken_1 = require("../authToken");
const sessionInfoService_1 = require("./sessionInfoService");
/**
 * This function resets all the services that are cached in the SDK.
 * This is to be called when the user logs out of the application and also
 * when init is called again.
 * @version SDK: 1.30.2 | ThoughtSpot: *
 */
function resetAllCachedServices() {
    (0, authToken_1.resetCachedAuthToken)();
    (0, sessionInfoService_1.resetCachedSessionInfo)();
    (0, sessionInfoService_1.resetCachedPreauthInfo)();
}
exports.resetAllCachedServices = resetAllCachedServices;
//# sourceMappingURL=resetServices.js.map