/// <reference types="react" />
import { EmbedEvent, MessageCallback, ViewConfig } from '../types';
export type EmbedEventHandlers = {
    [key in keyof typeof EmbedEvent as `on${Capitalize<key>}`]?: MessageCallback;
};
export interface EmbedProps extends ViewConfig, EmbedEventHandlers {
    className?: string;
    style?: React.CSSProperties;
}
export interface ViewConfigAndListeners<T extends ViewConfig> {
    viewConfig: T;
    listeners: {
        [key in EmbedEvent]?: MessageCallback;
    };
}
/**
 *
 * @param props
 */
export declare function getViewPropsAndListeners<T extends EmbedProps, U extends ViewConfig>(props: T): ViewConfigAndListeners<U>;
//# sourceMappingURL=util.d.ts.map